Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest
Interface Parameters.MutableExcludeListParameters

All Superinterfaces:
  Parameters.ExcludeListParameters

All Known Implementing Classes:
  BasicParameters, ExcludeListInterview, FileParameters

Enclosing interface:
  Parameters

    public static interface Parameters.MutableExcludeListParameters

extends Parameters.ExcludeListParameters

An interface providing abstract access to an exclude list, as defined by a set of files, defining tests to be excluded from the test run.

Field Summary
`static int` | `CHECK_EVERY_RUN` A constant used to indicate that the website used to supply the latest exclude list should be checked on every test run to see if a newer version is available.
`static int` | `CHECK_EVERY_X_DAYS` A constant used to indicate that the website used to supply the latest exclude list should be checked every so many days, to see if a newer version is available.
`static int` | `CUSTOM_EXCLUDE_LIST` A constant used to indicate that a client-supplied set of exclude files should be used.
`static int` | `INITIAL_EXCLUDE_LIST` A constant used to indicate that the default exclude list (if any) for the test suite should be used.
`static int` | `LATEST_EXCLUDE_LIST` A constant used to indicate that the latest exclude list (if any) for the test suite should be used.
`static int` | `NO_EXCLUDE_LIST` A constant used to indicate that no exclude list is required.

Method Summary
`java.io.File[]` | `getCustomExcludeFiles()` Get the files used to define the exclude list when the exclude list mode is set to CUSTOM_EXCLUDE_LIST.
`java.io.File[]` | `getExcludeFiles()` Get the set of files which define the exclude list.
`int` | `getExcludeMode()` Get the current exclude list mode.
`int` | `getLatestExcludeAutoCheckInterval()` Get the interval, in days, to be used when automatically checking for exclude list updates and the auto check mode is set to CHECK_EVERY_X_DAYS.
`int` | `getLatestExcludeAutoCheckMode()` Get the mode which defines how often to automatically check for updated exclude lists, when the exclude list mode is set to LATEST_EXCLUDE_LIST, and the automatic check is enabled.
`boolean` | `isLatestExcludeAutoCheckEnabled()` Check if the automatic check for newer exclude lists is enabled when the exclude list mode is set to LATEST_EXCLUDE_LIST.
`void` | `setCustomExcludeFiles(java.io.File[] files)` Set the files used to define the exclude list when the exclude list mode is set to CUSTOM_EXCLUDE_LIST.
`void` | `setExcludeFiles(java.io.File[] files)` Set the set of files used to define the exclude list.
`void` | `setExcludeMode(int mode)` Set the current exclude list mode.
`void` | `setLatestExcludeAutoCheckEnabled(boolean b)` Specify if the automatic check for newer exclude lists is enabled when the exclude list mode is set to LATEST_EXCLUDE_LIST.
`void` | `setLatestExcludeAutoCheckInterval(int days)` Set the interval, in days, to be used when automatically checking for exclude list updates and the auto check mode is set to CHECK_EVERY_X_DAYS.
`void` | `setLatestExcludeAutoCheckMode(int mode)` Set the mode which defines how often to automatically check for updated exclude lists, when the exclude list mode is set to LATEST_EXCLUDE_LIST, and the automatic check is enabled.

Methods inherited from interface com.sun.javatest.Parameters.ExcludeListParameters
`getExcludeList`

Field Detail

### NO_EXCLUDE_LIST

    static final int NO_EXCLUDE_LIST

  A constant used to indicate that no exclude list is required.

  See Also:
    Constant Field Values

### INITIAL_EXCLUDE_LIST

    static final int INITIAL_EXCLUDE_LIST

  A constant used to indicate that the default exclude list (if any) for the test suite should be used.

  See Also:
    `TestSuite.hasInitialExcludeList()`, Constant Field Values

### LATEST_EXCLUDE_LIST

    static final int LATEST_EXCLUDE_LIST

  A constant used to indicate that the latest exclude list (if any) for the test suite should be used.

  See Also:
    `TestSuite.hasLatestExcludeList()`, Constant Field Values

### CUSTOM_EXCLUDE_LIST

    static final int CUSTOM_EXCLUDE_LIST

  A constant used to indicate that a client-supplied set of exclude files should be used.

  See Also:
    Constant Field Values

### CHECK_EVERY_X_DAYS

    static final int CHECK_EVERY_X_DAYS

  A constant used to indicate that the website used to supply the latest exclude list should be checked every so many days, to see if a newer version is available.

  See Also:
    Constant Field Values

### CHECK_EVERY_RUN

    static final int CHECK_EVERY_RUN

  A constant used to indicate that the website used to supply the latest exclude list should be checked on every test run to see if a newer version is available.

  See Also:
    Constant Field Values

Method Detail

### getExcludeFiles

    java.io.File[] getExcludeFiles()

  Get the set of files which define the exclude list. The files are all returned as absolute files.

  Returns:
    the set of files which define the exclude list
  See Also:
    `getExcludeFiles()`, `setExcludeFiles(java.io.File[])`

### setExcludeFiles

    void setExcludeFiles(java.io.File[] files)

  Set the set of files used to define the exclude list.

  Parameters:
    `files` - If null, the exclude mode will be set to NO_EXCLUDE_LIST; if not null, the exclude mode will be set to CUSTOM_EXCLUDE_LIST and the custom exclude files will be set to this value
  See Also:
    `getExcludeFiles()`

### getExcludeMode

    int getExcludeMode()

  Get the current exclude list mode.

  Returns:
    A value indicating the current exclude list mode
  See Also:
    `setExcludeMode(int)`, `NO_EXCLUDE_LIST`, `INITIAL_EXCLUDE_LIST`, `LATEST_EXCLUDE_LIST`, `CUSTOM_EXCLUDE_LIST`

### setExcludeMode

    void setExcludeMode(int mode)

  Set the current exclude list mode.

  Parameters:
    `mode` - A value indicating the desired exclude list mode
  See Also:
    `getExcludeMode()`, `NO_EXCLUDE_LIST`, `INITIAL_EXCLUDE_LIST`, `LATEST_EXCLUDE_LIST`, `CUSTOM_EXCLUDE_LIST`

### getCustomExcludeFiles

    java.io.File[] getCustomExcludeFiles()

  Get the files used to define the exclude list when the exclude list mode is set to CUSTOM_EXCLUDE_LIST.

  Returns:
    the files used to define a custom exclude list
  See Also:
    `setCustomExcludeFiles(java.io.File[])`

### setCustomExcludeFiles

    void setCustomExcludeFiles(java.io.File[] files)

  Set the files used to define the exclude list when the exclude list mode is set to CUSTOM_EXCLUDE_LIST.

  Parameters:
    `files` - the files used to define a custom exclude list
  See Also:
    `getCustomExcludeFiles()`

### isLatestExcludeAutoCheckEnabled

    boolean isLatestExcludeAutoCheckEnabled()

  Check if the automatic check for newer exclude lists is enabled when the exclude list mode is set to LATEST_EXCLUDE_LIST.

  Returns:
    true if the automatic check is enabled
  See Also:
    `setLatestExcludeAutoCheckEnabled(boolean)`

### setLatestExcludeAutoCheckEnabled

    void setLatestExcludeAutoCheckEnabled(boolean b)

  Specify if the automatic check for newer exclude lists is enabled when the exclude list mode is set to LATEST_EXCLUDE_LIST.

  Parameters:
    `b` - whether or not the automatic check is enabled
  See Also:
    `isLatestExcludeAutoCheckEnabled()`

### getLatestExcludeAutoCheckMode

    int getLatestExcludeAutoCheckMode()

  Get the mode which defines how often to automatically check for updated exclude lists, when the exclude list mode is set to LATEST_EXCLUDE_LIST, and the automatic check is enabled.

  Returns:
    a value indicating how often to check for the availability of a newer exclude list
  See Also:
    `setLatestExcludeAutoCheckMode(int)`, `CHECK_EVERY_X_DAYS`, `CHECK_EVERY_RUN`

### setLatestExcludeAutoCheckMode

    void setLatestExcludeAutoCheckMode(int mode)

  Set the mode which defines how often to automatically check for updated exclude lists, when the exclude list mode is set to LATEST_EXCLUDE_LIST, and the automatic check is enabled.

  Parameters:
    `mode` - a value indicating how often to check for the availability of a newer exclude list
  See Also:
    `getLatestExcludeAutoCheckMode()`, `CHECK_EVERY_X_DAYS`, `CHECK_EVERY_RUN`

### getLatestExcludeAutoCheckInterval

    int getLatestExcludeAutoCheckInterval()

  Get the interval, in days, to be used when automatically checking for exclude list updates and the auto check mode is set to CHECK_EVERY_X_DAYS.

  Returns:
    the interval, in days, between checks
  See Also:
    `setLatestExcludeAutoCheckInterval(int)`

### setLatestExcludeAutoCheckInterval

    void setLatestExcludeAutoCheckInterval(int days)

  Set the interval, in days, to be used when automatically checking for exclude list updates and the auto check mode is set to CHECK_EVERY_X_DAYS.

  Parameters:
    `days` - the number of days to wait between checks
  See Also:
    `getLatestExcludeAutoCheckInterval()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.